#ifndef _GENRES_
#define _GENRES_

char *genres[0x10] XDATA =
{
	"Unclassfied",	// 0
	"Movie/Drama",	// 1
	"News",			// 2
	"Show/Game",	// 3
	"Sports",		// 4
	"Children",		// 5
	"Music/Dance",	// 6
	"Arts/Culture",	// 7
	"Social",		// 8
	"Education",	// 9
	"Leisure",		// a
	"Special",		// b
	"Reserved",		// c
	"Reserved",		// d
	"Reserved",		// e
	"User-Defined",	// f
};

char genreSub_reserved[] = "reserved";
char genreSub_userdefined[] = "user defined";
char genreSub_undefined[] = "undefined content";

char *genreSubs[0x10][0x10] XDATA =
{
	{genreSub_undefined,				// 0,0
	 genreSub_undefined,				// 0,1
	 genreSub_undefined,				// 0,2
	 genreSub_undefined,				// 0,3
	 genreSub_undefined,				// 0,4
	 genreSub_undefined,				// 0,5
	 genreSub_undefined,				// 0,6
	 genreSub_undefined,				// 0,7
	 genreSub_undefined,				// 0,8
	 genreSub_undefined,				// 0,9
	 genreSub_undefined,				// 0,a
	 genreSub_undefined,				// 0,b
	 genreSub_undefined,				// 0,c
	 genreSub_undefined,				// 0,d
	 genreSub_undefined,				// 0,e
	 genreSub_undefined},				// 0,f

    {"movie/drama (general)",			// 1,0
	 "detective/thriller",				// 1,1
     "adventure/western/war",			// 1,2
     "science fiction/fantasy/horror",	// 1,3
     "comedy",							// 1,4
     "soap/melodrama/folkloric",		// 1,5
     "romance",							// 1,6
     "serious/classical/religious/historical movie/drama",	// 1,7
     "adult movie/drama",				// 1,8
     genreSub_reserved,					// 1,9
     genreSub_reserved,					// 1,a
     genreSub_reserved,					// 1,b
     genreSub_reserved,					// 1,c
     genreSub_reserved,					// 1,d
     genreSub_reserved,					// 1,e
     genreSub_userdefined},				// 1,f

    {"news/current affairs (general)",	// 2,0
     "news/weather report",				// 2,1
     "news magazine",					// 2,2
     "documentary",						// 2,3
     "discussion/interview/debate",		// 2,4
     genreSub_reserved,					// 2,5
     genreSub_reserved,					// 2,6
     genreSub_reserved,					// 2,7
     genreSub_reserved,					// 2,8
     genreSub_reserved,					// 2,9
     genreSub_reserved,					// 2,a
     genreSub_reserved,					// 2,b
     genreSub_reserved,					// 2,c
     genreSub_reserved,					// 2,d
     genreSub_reserved,					// 2,e
     genreSub_userdefined},				// 2,f

    {"show/game show (general)",		// 3,0
     "game show/quiz/contest",			// 3,1
     "variety show",					// 3,2
     "talk show",						// 3,3
     genreSub_reserved,					// 3,4
     genreSub_reserved,					// 3,5
     genreSub_reserved,					// 3,6
     genreSub_reserved,					// 3,7
     genreSub_reserved,					// 3,8
     genreSub_reserved,					// 3,9
     genreSub_reserved,					// 3,a
     genreSub_reserved,					// 3,b
     genreSub_reserved,					// 3,c
     genreSub_reserved,					// 3,d
     genreSub_reserved,					// 3,e
     genreSub_userdefined},				// 3,f

    {"sports (general)",				// 4,0
     "special sports events",			// 4,1
     "sports magazines",				// 4,2
     "football/soccer",					// 4,3
     "tennis/squash",					// 4,4
     "team sports",						// 4,5
     "athletics",						// 4,6
     "motor sport",						// 4,7
     "water sport",						// 4,8
     "winter sports",					// 4,9
     "equestrian",						// 4,a
     "martial sports",					// 4,b
     genreSub_reserved,					// 4,c
     genreSub_reserved,					// 4,d
     genreSub_reserved,					// 4,e
     genreSub_userdefined},				// 4,f

    {"children's/youth programmes (general)",	// 5,0
     "pre-school children's programmes",		// 5,1
     "entertainment programmes for 6 to 14",	// 5,2
     "entertainment programmes for 10 to 16",	// 5,3
     "informational/educational/school programmes",	// 5,4
     "cartoons/puppets",						// 5,5
     genreSub_reserved,					// 5,6
     genreSub_reserved,					// 5,7
     genreSub_reserved,					// 5,8
     genreSub_reserved,					// 5,9
     genreSub_reserved,					// 5,a
     genreSub_reserved,					// 5,b
     genreSub_reserved,					// 5,c
     genreSub_reserved,					// 5,d
     genreSub_reserved,					// 5,e
     genreSub_userdefined},				// 5,f

    {"music/ballet/dance (general)",	// 6,0
     "rock/pop",						// 6,1
     "serious music/classical music",	// 6,2
     "folk/traditional music",			// 6,3
     "jazz",							// 6,4
     "musical/opera",					// 6,5
     "ballet",							// 6,6
     genreSub_reserved,					// 6,7
     genreSub_reserved,					// 6,8
     genreSub_reserved,					// 6,9
     genreSub_reserved,					// 6,a
     genreSub_reserved,					// 6,b
     genreSub_reserved,					// 6,c
     genreSub_reserved,					// 6,d
     genreSub_reserved,					// 6,e
     genreSub_userdefined},				// 6,f

    {"arts/culture (without music)",	// 7,0
     "performing arts",					// 7,1
     "fine arts",						// 7,2
     "religion",						// 7,3
     "popular culture/traditional arts",	// 7,4
     "literature",						// 7,5
     "film/cinema",						// 7,6
     "experimental film/video",			// 7,7
     "broadcasting/press",				// 7,8
     "new media",						// 7,9
     "arts/culture magazines",			// 7,a
     "fashion",							// 7,b
     genreSub_reserved,					// 7,c
     genreSub_reserved,					// 7,d
     genreSub_reserved,					// 7,e
     genreSub_userdefined},				// 7,f

    {"social/political issues/economics (general)",	// 8,0
     "magazines/reports/documentary",	// 8,1
     "economics/social advisory",		// 8,2
     "remarkable people",				// 8,3
     genreSub_reserved,					// 8,4
     genreSub_reserved,					// 8,5
     genreSub_reserved,					// 8,6
     genreSub_reserved,					// 8,7
     genreSub_reserved,					// 8,8
     genreSub_reserved,					// 8,9
     genreSub_reserved,					// 8,a
     genreSub_reserved,					// 8,b
     genreSub_reserved,					// 8,c
     genreSub_reserved,					// 8,d
     genreSub_reserved,					// 8,e
     genreSub_userdefined},				// 8,f

    {"education/science/factual topics (general)",	// 9,0
     "nature/animals/environment",		// 9,1
     "technology/natural sciences",		// 9,2
     "medicine/physiology/psychology",	// 9,3
     "foreign countries/expeditions",	// 9,4
     "social/spiritual sciences",		// 9,5
     "further education",				// 9,6
     "languages",						// 9,7
     genreSub_reserved,					// 9,8
     genreSub_reserved,					// 9,9
     genreSub_reserved,					// 9,a
     genreSub_reserved,					// 9,b
     genreSub_reserved,					// 9,c
     genreSub_reserved,					// 9,d
     genreSub_reserved,					// 9,e
     genreSub_userdefined},				// 9,f

    {"leisure hobbies (general)",		// a,0
     "tourism/travel",					// a,1
     "handicraft",						// a,2
     "motoring",						// a,3
     "fitness & health",				// a,4
     "cooking",							// a,5
     "advertisement/shopping",			// a,6
     "gardening",						// a,7
     genreSub_reserved,					// a,8
     genreSub_reserved,					// a,9
     genreSub_reserved,					// a,a
     genreSub_reserved,					// a,b
     genreSub_reserved,					// a,c
     genreSub_reserved,					// a,d
     genreSub_reserved,					// a,e
     genreSub_userdefined},				// a,f

    {"original language",				// b,0
     "black and white",					// b,1
     "unpublished",						// b,2
     "live broadcast",					// b,3
     genreSub_reserved,					// b,4
     genreSub_reserved,					// b,5
     genreSub_reserved,					// b,6
     genreSub_reserved,					// b,7
     genreSub_reserved,					// b,8
     genreSub_reserved,					// b,9
     genreSub_reserved,					// b,a
     genreSub_reserved,					// b,b
     genreSub_reserved,					// b,c
     genreSub_reserved,					// b,d
     genreSub_reserved,					// b,e
     genreSub_userdefined},				// b,f

    {genreSub_reserved,					// c,0
     genreSub_reserved,					// c,1
     genreSub_reserved,					// c,2
     genreSub_reserved,					// c,3
     genreSub_reserved,					// c,4
     genreSub_reserved,					// c,5
     genreSub_reserved,					// c,6
     genreSub_reserved,					// c,7
     genreSub_reserved,					// c,8
     genreSub_reserved,					// c,9
     genreSub_reserved,					// c,a
     genreSub_reserved,					// c,b
     genreSub_reserved,					// c,c
     genreSub_reserved,					// c,d
     genreSub_reserved,					// c,e
     genreSub_reserved},				// c,f

    {genreSub_reserved,					// d,0
     genreSub_reserved,					// d,1
     genreSub_reserved,					// d,2
     genreSub_reserved,					// d,3
     genreSub_reserved,					// d,4
     genreSub_reserved,					// d,5
     genreSub_reserved,					// d,6
     genreSub_reserved,					// d,7
     genreSub_reserved,					// d,8
     genreSub_reserved,					// d,9
     genreSub_reserved,					// d,a
     genreSub_reserved,					// d,b
     genreSub_reserved,					// d,c
     genreSub_reserved,					// d,d
     genreSub_reserved,					// d,e
     genreSub_reserved},				// d,f

    {genreSub_reserved,					// e,0
     genreSub_reserved,					// e,1
     genreSub_reserved,					// e,2
     genreSub_reserved,					// e,3
     genreSub_reserved,					// e,4
     genreSub_reserved,					// e,5
     genreSub_reserved,					// e,6
     genreSub_reserved,					// e,7
     genreSub_reserved,					// e,8
     genreSub_reserved,					// e,9
     genreSub_reserved,					// e,a
     genreSub_reserved,					// e,b
     genreSub_reserved,					// e,c
     genreSub_reserved,					// e,d
     genreSub_reserved,					// e,e
     genreSub_reserved},				// e,f

    {genreSub_userdefined,				// f,0
     genreSub_userdefined,				// f,1
     genreSub_userdefined,				// f,2
     genreSub_userdefined,				// f,3
     genreSub_userdefined,				// f,4
     genreSub_userdefined,				// f,5
     genreSub_userdefined,				// f,6
     genreSub_userdefined,				// f,7
     genreSub_userdefined,				// f,8
     genreSub_userdefined,				// f,9
     genreSub_userdefined,				// f,a
     genreSub_userdefined,				// f,b
     genreSub_userdefined,				// f,c
     genreSub_userdefined,				// f,d
     genreSub_userdefined,				// f,e
     genreSub_userdefined}				// f,f
};

#endif
